Change log for mariadb-5.5 package in Ubuntu

132 of 32 results
Published in trusty-updates on 2018-08-29
Published in trusty-security on 2018-08-28
mariadb-5.5 (5.5.61-1ubuntu0.14.04.1) trusty-security; urgency=high

  * SECURITY UPDATE: New upstream release 5.5.61. Includes fixes for
    the following security vulnerabilities (LP: #1779715):
    - CVE-2018-3081
    - CVE-2018-3066
    - CVE-2018-3063
    - CVE-2018-3058
  * Previous release 5.5.60 included included fixes for
    the following security vulnerabilities:
    - CVE-2018-2819
    - CVE-2018-2817
    - CVE-2018-2813
    - CVE-2018-2781
    - CVE-2018-2771
    - CVE-2018-2761
    - CVE-2018-2755

 -- Otto Kekäläinen <email address hidden>  Thu, 02 Aug 2018 23:25:55 +0800
Superseded in trusty-updates on 2018-08-29
Superseded in trusty-security on 2018-08-28
mariadb-5.5 (5.5.59-1ubuntu0.14.04.1) trusty-security; urgency=high

  * SECURITY UPDATE: New upstream release 5.5.59. Includes fixes for
    the following security vulnerabilities (LP: #1751920):
    - CVE-2018-2668
    - CVE-2018-2665
    - CVE-2018-2640
    - CVE-2018-2622
    - CVE-2018-2562
  * Update metadata and point VCS-* links to the new source repository

 -- Otto Kekäläinen <email address hidden>  Mon, 26 Feb 2018 17:21:12 -0500
Superseded in trusty-updates on 2018-03-06
Superseded in trusty-security on 2018-03-06
mariadb-5.5 (5.5.58-1ubuntu0.14.04.1) trusty-security; urgency=high

  * SECURITY UPDATE: New upstream release 5.5.58. Includes fixes for
    the following security vulnerabilities (LP: #1740608):
    - CVE-2017-10378, MDEV-13819
    - CVE-2017-10268
  * Update previous changelog entries to contain new CVE identifiers
  * Includes upstream MDEV-13819 server crash fix (LP: #1735876)

 -- Otto Kekäläinen <email address hidden>  Sat, 30 Dec 2017 17:55:52 +0200
Superseded in trusty-updates on 2018-01-09
Superseded in trusty-security on 2018-01-09
mariadb-5.5 (5.5.57-1ubuntu0.14.04.1) trusty-security; urgency=high

  * SECURITY UPDATE: New upstream release 5.5.57. Includes fixes made
    in release 5.5.55 for the following security vulnerabilities
    (LP: #1705944):
    - CVE-2017-3653
    - CVE-2017-3641
    - CVE-2017-3636
  * Update previous changelog entries to contain new CVE identifiers

 -- Otto Kekäläinen <email address hidden>  Sun, 23 Jul 2017 23:38:03 +0300
Superseded in trusty-updates on 2017-08-04
Superseded in trusty-security on 2017-08-04
mariadb-5.5 (5.5.56-1ubuntu0.14.04.1) trusty-security; urgency=high

  * SECURITY UPDATE: New upstream release 5.5.56. Includes fixes made
    in release 5.5.55 for the following security vulnerabilities
    (LP: #1698689):
    - CVE-2017-3464
    - CVE-2017-3456
    - CVE-2017-3453
    - CVE-2017-3313
    - CVE-2017-3309
    - CVE-2017-3308
    - CVE-2017-3302

 -- Otto Kekäläinen <email address hidden>  Sun, 18 Jun 2017 23:04:24 +0200
Superseded in trusty-updates on 2017-06-27
Superseded in trusty-security on 2017-06-27
mariadb-5.5 (5.5.54-1ubuntu0.14.04.1) trusty-security; urgency=high

  * SECURITY UPDATE: New upstream release 5.5.54. Includes fixes for the
    following security vulnerabilities (LP: #1657594):
    - CVE-2017-3318
    - CVE-2017-3317
    - CVE-2017-3312
    - CVE-2017-3291
    - CVE-2017-3265
    - CVE-2017-3258
    - CVE-2017-3244
    - CVE-2017-3243
    - CVE-2017-3238
    - CVE-2016-6664

 -- Otto Kekäläinen <email address hidden>  Thu, 19 Jan 2017 00:46:44 +0200
Superseded in trusty-updates on 2017-01-25
Superseded in trusty-security on 2017-01-25
mariadb-5.5 (5.5.53-1ubuntu0.14.04.1) trusty-security; urgency=low

  * SECURITY UPDATE: New upstream release 5.5.53. Includes fixes for the
    following security vulnerabilities (LP: #1638125):
    - CVE-2016-7440
    - CVE-2016-5584
  * Update previous changelog entries to contain new CVE identifiers

 -- Otto Kekäläinen <email address hidden>  Mon, 31 Oct 2016 23:48:54 +0200
Superseded in trusty-updates on 2016-12-08
Superseded in trusty-security on 2016-12-08
mariadb-5.5 (5.5.52-1ubuntu0.14.04.1) trusty-security; urgency=low

  * SECURITY UPDATE: New upstream release 5.5.52 (LP: #1605493)
    - Latest maintenance release includes only fixes to serious bugs.
  * Previous release 5.5.51 included included fixes for
    the following security vulnerabilities:
    - CVE-2016-6662
  * Previous release 5.5.50 included included fixes for
    the following security vulnerabilities:
    - CVE-2016-5440
    - CVE-2016-3615
    - CVE-2016-3521
    - CVE-2016-3477
  * Update previous changelog entries to contain new CVE identifiers

 -- Otto Kekäläinen <email address hidden>  Wed, 14 Sep 2016 21:01:08 +0300
Superseded in trusty-updates on 2016-09-19
Superseded in trusty-security on 2016-09-19
mariadb-5.5 (5.5.49-1ubuntu0.14.04.1) trusty-security; urgency=low

  * SECURITY UPDATE: New upstream release 5.5.49 (LP: #1573761)
    - CVE-2016-0647
    - CVE-2016-0648
    - CVE-2016-0666
    - CVE-2016-0643
  * After the release of 5.5.49 it was announced that 5.5.48 included fixes for
    the following security vulnerabilities:
    - CVE-2016-0640
    - CVE-2016-0644
    - CVE-2016-0646
    - CVE-2016-0649
    - CVE-2016-0650
    - CVE-2016-0641
  * Updated previous changelog entries to contain new CVE identifiers.

 -- Otto Kekäläinen <email address hidden>  Fri, 22 Apr 2016 22:13:38 +0300
Superseded in trusty-updates on 2016-05-04
Superseded in trusty-security on 2016-05-04
mariadb-5.5 (5.5.47-1ubuntu0.14.04.1) trusty-security; urgency=low

  * SECURITY UPDATE: New upstream release 5.5.47
    - CVE-2016-0546
    - CVE-2016-0505
    - CVE-2016-0596
    - CVE-2016-0597
    - CVE-2016-0616
    - CVE-2016-0598
    - CVE-2016-0600
    - CVE-2016-0606
    - CVE-2016-0608
    - CVE-2016-0609
    - CVE-2016-2047
    - Adds the mariadb-slow.log into the logrotate file, as the file
      name mariadb-slow.log is the log name in the default config file.

 -- Otto Kekäläinen <email address hidden>  Thu, 10 Dec 2015 10:24:40 +0200
Superseded in trusty-updates on 2016-02-01
Superseded in trusty-security on 2016-02-01
mariadb-5.5 (5.5.46-1ubuntu0.14.04.2) trusty-security; urgency=low

  * SECURITY UPDATE: Update to 5.5.46 to fix security issues (LP: #1512241):
    - CVE-2015-4913
    - CVE-2015-4870
    - CVE-2015-4861
    - CVE-2015-4858
    - CVE-2015-4836
    - CVE-2015-4830
    - CVE-2015-4826
    - CVE-2015-4815
    - CVE-2015-4807
    - CVE-2015-4802
    - CVE-2015-4792
  * Upstream release 5.5.45 fixes for the following security vulnerabilities:
    - CVE-2015-4816
    - CVE-2015-4819
    - CVE-2015-4879
  * Update new Oracle CVE identifiers to old MariaDB changelog entries
  * New patch: Extend date in test suite so that main.events_1 will pass

 -- Otto Kekäläinen <email address hidden>  Tue, 03 Nov 2015 11:41:30 +0200
Obsolete in utopic-updates on 2016-11-03
Obsolete in utopic-security on 2016-11-03
mariadb-5.5 (5.5.44-1ubuntu0.14.10.1) utopic-security; urgency=low

  * SECURITY UPDATE: Update to 5.5.44 to fix security issues (LP: #1464895):
    - CVE-2015-3152
  * Upstream also includes lots of line ending changes (from CRLF -> LF)
  * Removed hotfix patch now included in upstream release (MDEV-8115)

 -- Otto Kekaelaeinen <email address hidden>  Sat, 13 Jun 2015 21:09:48 +0300
Superseded in trusty-updates on 2015-11-05
Superseded in trusty-security on 2015-11-05
mariadb-5.5 (5.5.44-1ubuntu0.14.04.1) trusty-security; urgency=low

  * SECURITY UPDATE: Update to 5.5.44 to fix security issues (LP: #1464895):
    - CVE-2015-3152
  * Upstream also includes lots of line ending changes (from CRLF -> LF)
  * Removed hotfix patch now included in upstream release (MDEV-8115)

 -- Otto Kekaelaeinen <email address hidden>  Sat, 13 Jun 2015 21:09:48 +0300
Superseded in utopic-updates on 2015-06-18
Superseded in utopic-security on 2015-06-18
mariadb-5.5 (5.5.43-1ubuntu0.14.10.1) utopic-security; urgency=low

  * SECURITY UPDATE: Update to 5.5.43 to fix security issues (LP: #1451677):
    - CVE-2015-0501
    - CVE-2015-2571
    - CVE-2015-0505
    - CVE-2015-0499
  * Hotfix patch to fix the server crash caused by mysql_upgrade (MDEV-8115)

 -- Otto Kekaelaeinen <email address hidden>  Tue, 05 May 2015 09:17:31 +0300
Superseded in trusty-updates on 2015-06-18
Superseded in trusty-security on 2015-06-18
mariadb-5.5 (5.5.43-1ubuntu0.14.04.2) trusty-security; urgency=low

  * SECURITY UPDATE: Update to 5.5.43 to fix security issues (LP: #1451677):
    - CVE-2015-0501
    - CVE-2015-2571
    - CVE-2015-0505
    - CVE-2015-0499
  * Hotfix patch to fix the server crash caused by mysql_upgrade (MDEV-8115)

 -- Otto Kekaelaeinen <email address hidden>  Tue, 05 May 2015 09:17:31 +0300
Superseded in utopic-updates on 2015-05-21
Superseded in utopic-security on 2015-05-21
mariadb-5.5 (5.5.41-1ubuntu0.14.10.1) utopic-security; urgency=medium

  * Critical backport from 10.0 (commit 439123d):
    Fix mariadb-server-5.5.postinst so that the flag removal will not emit
    an error code if there are no previous debian-*.flag files.
 -- Otto Kekaelaeinen <email address hidden>   Wed, 04 Feb 2015 11:28:16 +0200
Superseded in trusty-updates on 2015-05-21
Superseded in trusty-security on 2015-05-21
mariadb-5.5 (5.5.41-1ubuntu0.14.04.1) trusty-security; urgency=medium

  * Critical backport from 10.0 (commit 439123d):
    Fix mariadb-server-5.5.postinst so that the flag removal will not emit
    an error code if there are no previous debian-*.flag files (LP: #1417917)
 -- Otto Kekaelaeinen <email address hidden>   Wed, 04 Feb 2015 11:28:16 +0200
Superseded in trusty-updates on 2015-02-05
Superseded in trusty-security on 2015-02-05
mariadb-5.5 (5.5.41-0ubuntu0.14.04.2) trusty-security; urgency=medium

  * SECURITY UPDATE: Update to 5.5.41 to fix security issues (LP: #1414755)
    - CVE-2015-0411
    - CVE-2015-0382
    - CVE-2015-0381
    - CVE-2015-0432
    - CVE-2014-6568
    - CVE-2015-0374
  * As approved by Seth Arnold, this security update also imports the latest
    mariadb-5.5 packaging from Debian which includes useful and low-risk
    fixes:
    - Updated Dutch translation by Frans Spiesschaert
    - Updated control file so that mariadb-client-5.5 breaks and replaces
      the package mariadb-server-5.5 to allow overwriting the innochecksum
      man page file which has changed location (LP: #1368124) as per
      doc https://www.debian.org/doc/debian-policy/ch-relationships.html#s7.6.1
    - Backported the fix of #770177 from 10.0 to 5.5 so that the migration
      question will not be asked repeatedly. (LP: #1392539)
   * Close delta between 14.10 and 14.04 in regards of packaging.
   * Backported new cacert.pem etc from 5.5 the replace the expired ones
 -- Otto Kekaelaeinen <email address hidden>   Tue, 27 Jan 2015 21:15:00 +0200
Superseded in utopic-updates on 2015-02-05
Superseded in utopic-security on 2015-02-05
mariadb-5.5 (5.5.41-0ubuntu0.14.10.2) utopic-security; urgency=medium

  * SECURITY UPDATE: Update to 5.5.41 to fix security issues (LP: #1414755)
    - CVE-2015-0411
    - CVE-2015-0382
    - CVE-2015-0381
    - CVE-2015-0432
    - CVE-2014-6568
    - CVE-2015-0374
  * As approved by Seth Arnold, this security update also imports the latest
    mariadb-5.5 packaging from Debian which includes useful and low-risk
    fixes:
    - Updated Dutch translation by Frans Spiesschaert
    - Updated control file so that mariadb-client-5.5 breaks and replaces
      the package mariadb-server-5.5 to allow overwriting the innochecksum
      man page file which has changed location (LP: #1368124) as per
      doc https://www.debian.org/doc/debian-policy/ch-relationships.html#s7.6.1
    - Backported the fix of #770177 from 10.0 to 5.5 so that the migration
      question will not be asked repeatedly. (LP: #1392539)
  * Backported new cacert.pem etc from 5.5 the replace the expired ones
 -- Otto Kekaelaeinen <email address hidden>   Mon, 26 Jan 2015 21:15:00 +0200
Deleted in vivid-release on 2015-03-22 (Reason: Removed for the MySQL 5.6 transition)
Deleted in vivid-proposed on 2015-03-22 (Reason: moved to release)
Superseded in utopic-updates on 2015-02-04
Superseded in utopic-security on 2015-02-03
mariadb-5.5 (5.5.40-0ubuntu0.14.10.1) utopic-security; urgency=medium

  * SECURITY UPDATE: Update to 5.5.40 to fix security issues (LP: #1391676)
    - CVE-2014-6507
    - CVE-2014-6491
    - CVE-2014-6500
    - CVE-2014-6469
    - CVE-2014-6555
    - CVE-2014-6559
    - CVE-2014-6494
    - CVE-2014-6496
    - CVE-2014-6464
  * Add bsdutils as mariadb-server dependency like upstream does in 5.5.40.
 -- Otto Kekaelaeinen <email address hidden>   Fri, 14 Nov 2014 21:04:24 +0200
Superseded in trusty-updates on 2015-02-04
Superseded in trusty-security on 2015-02-03
mariadb-5.5 (5.5.40-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * SECURITY UPDATE: Update to 5.5.40 to fix security issues (LP: #1391676)
    - CVE-2014-6507
    - CVE-2014-6491
    - CVE-2014-6500
    - CVE-2014-6469
    - CVE-2014-6555
    - CVE-2014-6559
    - CVE-2014-6494
    - CVE-2014-6496
    - CVE-2014-6464
  * Add bsdutils as mariadb-server dependency like upstream does in 5.5.40.
 -- Otto Kekaelaeinen <email address hidden>   Wed, 12 Oct 2014 01:04:24 +0200
Superseded in vivid-release on 2014-11-18
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2016-11-03 (Reason: moved to release)
mariadb-5.5 (5.5.39-2) unstable; urgency=low


  * d/control: Removed Provides: libmysqlclient-dev (Closes: #759309)
  * d/control: Removed Provides: libmysqld-dev with same motivation
  * Re-introduced tha HPPA build patch as the upstream fix wasn't complete
  * Fixed all kFreeBSD build and test suite issues
  * Added Italian translation (Closes: #759813)

 -- Otto Kekäläinen <email address hidden>  Wed, 27 Aug 2014 21:12:36 +0300

Available diffs

Superseded in trusty-updates on 2014-11-13
Superseded in trusty-security on 2014-11-13
mariadb-5.5 (5.5.39-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * SECURITY UPDATE: Update to 5.5.39 to fix security issues (LP: #1363222)
    * 5.5.39
      - Fixes an error when handling MyISAM temporary files can be
        exploited to execute arbitrary code (Secunia Advisory SA60599)
    * 5.5.38
      - CVE-2014-2494
      - CVE-2014-4207
      - CVE-2014-4243
      - CVE-2014-4258
      - CVE-2014-4260
  * Import a few important packaging bug fixes available in Debian
 -- Otto Kekaelaeinen <email address hidden>   Fri, 29 Aug 2014 23:04:24 +0300
Superseded in utopic-release on 2014-09-10
Deleted in utopic-proposed on 2014-09-11 (Reason: moved to release)
mariadb-5.5 (5.5.38-1) unstable; urgency=low


  * New upstream release.
  * Added upstream release signing key in preparation for future use
  * Made libterm-readkey-perl a depends instead of suggest (LP: #1324082)
  * Add patch to fix HPPA build error (Closes: #751805)
  * Fixed lots and lots of Lintian warnings
  * Disabled TokuDB (Closes: #753222). Remember to re-enable if once
    https://mariadb.atlassian.net/browse/MDEV-6449 is closed.

 -- Otto Kekäläinen <email address hidden>  Tue, 17 Jun 2014 16:24:35 +0300
Superseded in utopic-release on 2014-07-18
Deleted in utopic-proposed on 2014-07-20 (Reason: moved to release)
mariadb-5.5 (5.5.37-1build1) utopic; urgency=high

  * No change rebuild against new dh_installinit, to call update-rc.d at
    postinst.
 -- Dimitri John Ledkov <email address hidden>   Wed, 28 May 2014 10:40:26 +0100
Superseded in trusty-updates on 2014-09-10
Superseded in trusty-security on 2014-09-10
mariadb-5.5 (5.5.37-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * SECURITY UPDATE: Update to 5.5.37 to fix security issues (LP: #1313187)
    - http://www.oracle.com/technetwork/topics/security/cpuapr2014-1972952.html
    - CVE-2014-0001
    - CVE-2014-0384
    - CVE-2014-2419
    - CVE-2014-2430
    - CVE-2014-2431
    - CVE-2014-2432
    - CVE-2014-2436
    - CVE-2014-2438
    - CVE-2014-2440
 -- Otto Kekaelaeinen <email address hidden>   Mon, 28 Apr 2014 09:55:22 +0300
Superseded in utopic-release on 2014-05-28
Deleted in utopic-proposed on 2014-05-29 (Reason: moved to release)
mariadb-5.5 (5.5.37-1) unstable; urgency=low


  * New upstream release, fixing the following security issues:
    * Corresponding MariaDB CVEs for Oracle SPU April 2014 (Closes: #745330)
      - CVE-2014-0384 
      - CVE-2014-2419 
      - CVE-2014-2430 
      - CVE-2014-2431 
      - CVE-2014-2432 
      - CVE-2014-2436 
      - CVE-2014-2438 
      - CVE-2014-2440
  * Re-enabled TokuDB with "if arch amd64" in d/rules
  * Applied patch to log init output better
    (Closes https://mariadb.atlassian.net/browse/MDEV-5957)

 -- Otto Kekäläinen <email address hidden>  Thu, 17 Apr 2014 20:55:22 +0300

Available diffs

Superseded in utopic-release on 2014-04-28
Published in trusty-release on 2014-03-24
Deleted in trusty-proposed (Reason: moved to release)
mariadb-5.5 (5.5.36-1) unstable; urgency=low


  [ Otto Kekäläinen ]
  * New upstream release.
  * Updated Danish debconf translation (Closes: #739750).
  * d/control: Added explicit Conflicts/Replaces for mysql-5.6 packages
    (Closes: #739841).
  * d/control: Update for use of virtual-* packages for switching to/from
    MySQL alternatives.

  [ James Page ]
  * d/control: Drop Nicholas from Uploaders, MIA (Closes: #739360).
  * d/control: Add libjemalloc-dev to BD's.

 -- Otto Kekäläinen <email address hidden>  Sun, 02 Mar 2014 01:38:26 +0200
Superseded in trusty-release on 2014-03-24
Deleted in trusty-proposed on 2014-03-25 (Reason: moved to release)
mariadb-5.5 (5.5.35-1ubuntu1) trusty; urgency=medium

  * d/control: Add libjemalloc-dev to BD's, fixing FTBFS with bundled version.
 -- James Page <email address hidden>   Wed, 19 Feb 2014 08:07:51 +0000
Superseded in trusty-proposed on 2014-02-19
mariadb-5.5 (5.5.35-1) unstable; urgency=low


  [ Otto Kekäläinen ]
  * New upstream release, fixing the following security issues:
    - Buffer overflow in client/mysql.cc (Closes: #737597).
      - CVE-2014-0001
    - http://www.oracle.com/technetwork/topics/security/cpujan2014-1972949.html
      - CVE-2013-5891
      - CVE-2013-5908
      - CVE-2014-0386
      - CVE-2014-0393
      - CVE-2014-0401
      - CVE-2014-0402
      - CVE-2014-0412
      - CVE-2014-0420
      - CVE-2014-0437
  * Upstream https://mariadb.atlassian.net/browse/MDEV-4902
    fixes compatibility with Bison 3.0 (Closes: #733002)
  * Updated Russian debconf translation (Closes: #734426)
  * Updated Japanese debconf translation (Closes: #735284)
  * Updated French debconf translation (Closes: #736480)
  * Renamed SONAME properly (Closes: #732967)

 -- James Page <email address hidden>  Mon, 17 Feb 2014 16:51:52 +0000
Superseded in trusty-release on 2014-02-19
Deleted in trusty-proposed on 2014-02-20 (Reason: moved to release)
mariadb-5.5 (5.5.32-1ubuntu1) trusty; urgency=low

  * d/p/62_sql_yacc.yy_incompatible_with_bison_3_mdev4902.diff:
    Fix FTBFS due to bison 3.
 -- Chris J Arges <email address hidden>   Fri, 10 Jan 2014 14:16:25 -0600
Superseded in trusty-proposed on 2014-01-13
mariadb-5.5 (5.5.32-1) unstable; urgency=low


  [ Otto Kekäläinen ]
  * Initial package for Debian (Closes: #565308), based on upstream
    packaging:
    - mariadb-5.3 by Sergei Golubchik
    - mariadb-5.2 by Kristian Nielsen
    - mariadb-5.1 by Peter Lieverdink
  * Bring packaging up-to-date inline with mysql-5.5 packaging.
  * Refine control file and tidy lintian warnings
  * Rename libmysqlclient18 -> libmariadbclient18.
  * Add suitable Breaks/Replaces/Provides to support migration
    to/from mysql-server-5.5.
  * Plus multiple other updates based on feedback from Debian maintainers

  [ James Page ]
  * d/control,rules: Cherry picked fix from mysql-5.5 packaging to disable
    x86 assembler in taocrypt on i386 architectures, removing need for
    gcc-4.4 dependency.
  * d/control: Add myself to uploaders.
  * d/control: Update Vcs fields for new location on git.debian.org.

 -- Otto Kekäläinen <email address hidden>  Wed, 24 Sept 2013 15:09:51 +0300
132 of 32 results